// Learn cc.Class:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/class.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/class.html
// Learn Attribute:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/reference/attributes.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/reference/attributes.html
// Learn life-cycle callbacks:
//  - [Chinese] http://docs.cocos.com/creator/manual/zh/scripting/life-cycle-callbacks.html
//  - [English] http://www.cocos2d-x.org/docs/creator/en/scripting/life-cycle-callbacks.html

cc.Class({
    extends: cc.Component,

    properties: {
        progressValue: 0
    },

    // LIFE-CYCLE CALLBACKS:

    onLoad() {
        this.slider = this.getComponent(cc.Slider);
        this.progressbar = this.getComponent(cc.ProgressBar);
        // console.log("slider");
        if (this.slider)
            this.slider.progress =  this.progressValue;
        if (this.progressbar)
            this.progressbar.progress =  this.progressValue;

        if (this.slider == null || this.progressbar == null) {
            return;
        }

        this.progressbar.progress = this.slider.progress;

        let self = this;
        this.slider.node.on('slide', function (event) {
            this.progressbar.progress = this.slider.progress;
        }, this);

    },

    start() {

    },

    onSetProcgress(value) {
        this.progressValue = value;

        if (this.slider)
            this.slider.progress = value;

        if (this.progressbar)
            this.progressbar.progress = value;

        // console.log("slider", value);
    }

    // update (dt) {},
});
